"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = InvocationTargetInput;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

var _cspaceInput = require("cspace-input");

var _RecordSearchInput = _interopRequireDefault(require("../search/RecordSearchInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const {
  Label
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  single: {
    "id": "invocationTargetInput.single",
    "defaultMessage": "Record"
  },
  list: {
    "id": "invocationTargetInput.list",
    "defaultMessage": "Records"
  },
  group: {
    "id": "invocationTargetInput.group",
    "defaultMessage": "Group"
  }
});
const propTypes = {
  mode: _propTypes.default.string.isRequired,
  readOnly: _propTypes.default.bool
};

function InvocationTargetInput(props) {
  const {
    mode,
    ...remainingProps
  } = props;

  if (mode === 'nocontext') {
    return /*#__PURE__*/_react.default.createElement("div", null);
  }

  const {
    readOnly
  } = remainingProps;
  return /*#__PURE__*/_react.default.createElement(_RecordSearchInput.default, _extends({
    label: /*#__PURE__*/_react.default.createElement(Label, {
      required: !readOnly
    }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages[mode]))
  }, remainingProps));
}

InvocationTargetInput.propTypes = propTypes;