"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = CsidLink;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _immutable = _interopRequireDefault(require("immutable"));

var _SearchResultLinkContainer = _interopRequireDefault(require("../../containers/search/SearchResultLinkContainer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const propTypes = {
  config: _propTypes.default.shape({
    listTypes: _propTypes.default.object
  }),
  csid: _propTypes.default.string,
  searchName: _propTypes.default.string
};

function CsidLink(props) {
  const {
    config,
    csid,
    searchName
  } = props;

  const searchDescriptor = _immutable.default.fromJS({
    recordType: 'all',
    searchQuery: {
      csid,
      p: 0,
      size: 0
    }
  });

  return /*#__PURE__*/_react.default.createElement(_SearchResultLinkContainer.default, {
    config: config,
    searchDescriptor: searchDescriptor,
    searchName: searchName
  });
}

CsidLink.propTypes = propTypes;