"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = NotificationBar;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _immutable = _interopRequireDefault(require("immutable"));

var _Notification = _interopRequireDefault(require("./Notification"));

var _ValidationErrorNotificationContainer = _interopRequireDefault(require("../../containers/notification/ValidationErrorNotificationContainer"));

var _NotificationBar = _interopRequireDefault(require("../../../styles/cspace-ui/NotificationBar.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const propTypes = {
  close: _propTypes.default.func,
  notifications: _propTypes.default.instanceOf(_immutable.default.OrderedMap)
};

function NotificationBar(props) {
  const {
    close,
    notifications
  } = props;
  const children = notifications.entrySeq().reverse().map(entry => {
    const [id, descriptor] = entry;
    const {
      type,
      ...remainingProps
    } = descriptor;
    const NotificationComponent = type === 'validation' ? _ValidationErrorNotificationContainer.default : _Notification.default;
    return /*#__PURE__*/_react.default.createElement(NotificationComponent, _extends({
      key: id,
      id: id,
      close: close
    }, remainingProps));
  }).toJS();
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _NotificationBar.default.common
  }, children);
}

NotificationBar.propTypes = propTypes;