"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MiniViewPopup;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _cspaceLayout = require("cspace-layout");

var _MiniViewContainer = _interopRequireDefault(require("../../containers/record/MiniViewContainer"));

var _MiniView = _interopRequireDefault(require("./MiniView"));

var _MiniViewPopup = _interopRequireDefault(require("../../../styles/cspace-ui/MiniViewPopup.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const propTypes = { // eslint-disable-next-line react/forbid-foreign-prop-types
  ..._cspaceLayout.Popup.propTypes,
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ..._MiniView.default.propTypes,
  style: _propTypes.default.objectOf(_propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number])),
  domRef: _propTypes.default.func
};

function MiniViewPopup(props) {
  const {
    onMouseEnter,
    style,
    domRef,
    ...remainingProps
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _MiniViewPopup.default.common,
    ref: domRef,
    style: style,
    onMouseEnter: onMouseEnter
  }, /*#__PURE__*/_react.default.createElement(_cspaceLayout.Popup, null, /*#__PURE__*/_react.default.createElement(_MiniViewContainer.default, remainingProps)));
}

MiniViewPopup.propTypes = propTypes;