"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = UnrelateButton;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

var _cspaceInput = require("cspace-input");

var _UnrelateButton = _interopRequireDefault(require("../../../styles/cspace-ui/UnrelateButton.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const {
  Button
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "unrelateButton.label",
    "defaultMessage": "Unrelate"
  }
});
const propTypes = {
  disabled: _propTypes.default.bool,
  isUnrelating: _propTypes.default.bool,
  isUnrelatable: _propTypes.default.bool,
  onClick: _propTypes.default.func
};
const defaultProps = {
  isUnrelatable: true
};

function UnrelateButton(props) {
  const {
    disabled,
    isUnrelating,
    isUnrelatable,
    onClick,
    ...remainingProps
  } = props;

  if (!isUnrelatable) {
    return null;
  }

  return /*#__PURE__*/_react.default.createElement(Button, _extends({}, remainingProps, {
    className: _UnrelateButton.default.common,
    disabled: disabled || isUnrelating,
    icon: true,
    name: "unrelate",
    onClick: onClick
  }), /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.label));
}

UnrelateButton.propTypes = propTypes;
UnrelateButton.defaultProps = defaultProps;