"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    formatRefName,
    formatTimestamp
  } = configContext.formatHelpers;
  return {
    default: {
      acquisitionReferenceNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.acquisition.default.acquisitionReferenceNumber",
            "defaultMessage": "Reference number"
          }
        }),
        order: 10,
        sortBy: 'acquisitions_common:acquisitionReferenceNumber',
        width: 250
      },
      acquisitionSource: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.acquisition.default.acquisitionSource",
            "defaultMessage": "Acquisition source"
          }
        }),
        order: 20,
        sortBy: 'acquisitions_common:acquisitionSources/0',
        width: 400
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.acquisition.default.updatedAt",
            "defaultMessage": "Updated"
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};

exports.default = _default;