"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    Panel,
    Row,
    Cols,
    Col
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  return /*#__PURE__*/React.createElement(Field, {
    name: "document"
  }, /*#__PURE__*/React.createElement(Panel, {
    name: "info",
    collapsible: true
  }, /*#__PURE__*/React.createElement(Cols, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionReferenceNumber"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "accessionDateGroup"
  }), /*#__PURE__*/React.createElement(InputTable, {
    name: "acquisitionAuthorizer"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionAuthorizer"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionAuthorizerDate"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionDateGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionDateGroup"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionMethod"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionSources"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionSource"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "owners"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "owner"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "transferOfTitleNumber"
  })), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Panel, {
    name: "priceInformation"
  }, /*#__PURE__*/React.createElement(InputTable, {
    name: "groupPurchasePrice"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "groupPurchasePriceCurrency"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "groupPurchasePriceValue"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "objectOfferPrice"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectOfferPriceCurrency"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectOfferPriceValue"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "objectPurchaseOfferPrice"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectPurchaseOfferPriceCurrency"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectPurchaseOfferPriceValue"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "objectPurchasePrice"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "objectPurchasePriceCurrency"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "objectPurchasePriceValue"
  })), /*#__PURE__*/React.createElement(InputTable, {
    name: "originalObjectPurchasePrice"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "originalObjectPurchasePriceCurrency"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "originalObjectPurchasePriceValue"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionReason"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "approvalGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "approvalGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "approvalGroup"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "approvalIndividual"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "approvalStatus"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "approvalDate"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "approvalNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionNote"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionProvisos"
  }), /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionFundingList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionFunding"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionFundingCurrency"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionFundingValue"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionFundingSource"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "acquisitionFundingSourceProvisos"
  })))), /*#__PURE__*/React.createElement(Field, {
    name: "creditLine"
  })), /*#__PURE__*/React.createElement(Panel, {
    name: "objectCollectionInformation",
    collapsible: true,
    collapsed: true
  }, /*#__PURE__*/React.createElement(Row, null, /*#__PURE__*/React.createElement(Field, {
    name: "fieldCollectionEventNames"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "fieldCollectionEventName"
  })))));
};

var _default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.acquisition.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(configContext)
});

exports.default = _default;