"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    formatRefName,
    formatTimestamp
  } = configContext.formatHelpers;
  return {
    default: {
      insuranceIndemnityReferenceNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.insurance.default.insuranceIndemnityReferenceNumber",
            "defaultMessage": "Reference number"
          }
        }),
        order: 10,
        sortBy: 'insurances_common:insuranceIndemnityReferenceNumber',
        width: 200
      },
      insurerIndemnifier: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.insurance.default.insurerIndemnifier",
            "defaultMessage": "Insurer/indemnifier"
          }
        }),
        order: 20,
        sortBy: 'insurances_common:insurerIndemnifier',
        width: 400
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.insurance.default.updatedAt",
            "defaultMessage": "Updated"
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};

exports.default = _default;