"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    formatRefName,
    formatTimestamp
  } = configContext.formatHelpers;
  return {
    default: {
      loanOutNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.loanout.default.loanOutNumber",
            "defaultMessage": "Loan out number"
          }
        }),
        order: 10,
        sortBy: 'loansout_common:loanOutNumber',
        width: 250
      },
      borrower: {
        formatValue: formatRefName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.loanout.default.borrower",
            "defaultMessage": "Borrower"
          }
        }),
        order: 20,
        sortBy: 'loansout_common:borrower',
        width: 400
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.loanout.default.updatedAt",
            "defaultMessage": "Updated"
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};

exports.default = _default;