"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = {
  personTermStatuses: {
    values: ['provisional', 'under review', 'accepted', 'rejected'],
    messages: (0, _reactIntl.defineMessages)({
      provisional: {
        "id": "option.personTermStatuses.provisional",
        "defaultMessage": "provisional"
      },
      'under review': {
        "id": "option.personTermStatuses.under review",
        "defaultMessage": "under review"
      },
      accepted: {
        "id": "option.personTermStatuses.accepted",
        "defaultMessage": "accepted"
      },
      rejected: {
        "id": "option.personTermStatuses.rejected",
        "defaultMessage": "rejected"
      }
    })
  },
  personTermTypes: {
    values: ['descriptor', 'alternate descriptor', 'used for term'],
    messages: (0, _reactIntl.defineMessages)({
      descriptor: {
        "id": "option.personTermTypes.descriptor",
        "defaultMessage": "descriptor"
      },
      'alternate descriptor': {
        "id": "option.personTermTypes.alternate descriptor",
        "defaultMessage": "alternate descriptor"
      },
      'used for term': {
        "id": "option.personTermTypes.used for term",
        "defaultMessage": "used for term"
      }
    })
  },
  salutations: {
    values: ['dear', 'hello', 'to'],
    messages: (0, _reactIntl.defineMessages)({
      dear: {
        "id": "option.salutations.dear",
        "defaultMessage": "Dear"
      },
      hello: {
        "id": "option.salutations.hello",
        "defaultMessage": "Hello"
      },
      to: {
        "id": "option.salutations.to",
        "defaultMessage": "To"
      }
    })
  },
  personTitles: {
    values: ['Admiral', 'Baron', 'Baroness', 'Captain', 'Commander', 'Commodore', 'Count', 'Countess', 'Dame', 'Dr', 'General', 'Governor', 'Honorable', 'Judge', 'King', 'Lady', 'Lord', 'Miss', 'Mr', 'Mrs', 'Ms', 'Prince', 'Princess', 'Professor', 'Queen', 'Reverend', 'Saint', 'Sir'],
    messages: (0, _reactIntl.defineMessages)({
      Admiral: {
        "id": "option.personTitles.Admiral",
        "defaultMessage": "Admiral"
      },
      Baron: {
        "id": "option.personTitles.Baron",
        "defaultMessage": "Baron"
      },
      Baroness: {
        "id": "option.personTitles.Baroness",
        "defaultMessage": "Baroness"
      },
      Captain: {
        "id": "option.personTitles.Captain",
        "defaultMessage": "Captain"
      },
      Commander: {
        "id": "option.personTitles.Commander",
        "defaultMessage": "Commander"
      },
      Commodore: {
        "id": "option.personTitles.Commodore",
        "defaultMessage": "Commodore"
      },
      Count: {
        "id": "option.personTitles.Count",
        "defaultMessage": "Count"
      },
      Countess: {
        "id": "option.personTitles.Countess",
        "defaultMessage": "Countess"
      },
      Dame: {
        "id": "option.personTitles.Dame",
        "defaultMessage": "Dame"
      },
      Dr: {
        "id": "option.personTitles.Dr",
        "defaultMessage": "Dr"
      },
      General: {
        "id": "option.personTitles.General",
        "defaultMessage": "General"
      },
      Governor: {
        "id": "option.personTitles.Governor",
        "defaultMessage": "Governor"
      },
      Honorable: {
        "id": "option.personTitles.Honorable",
        "defaultMessage": "Honorable"
      },
      Judge: {
        "id": "option.personTitles.Judge",
        "defaultMessage": "Judge"
      },
      King: {
        "id": "option.personTitles.King",
        "defaultMessage": "King"
      },
      Lady: {
        "id": "option.personTitles.Lady",
        "defaultMessage": "Lady"
      },
      Lord: {
        "id": "option.personTitles.Lord",
        "defaultMessage": "Lord"
      },
      Miss: {
        "id": "option.personTitles.Miss",
        "defaultMessage": "Miss"
      },
      Mr: {
        "id": "option.personTitles.Mr",
        "defaultMessage": "Mr"
      },
      Mrs: {
        "id": "option.personTitles.Mrs",
        "defaultMessage": "Mrs"
      },
      Ms: {
        "id": "option.personTitles.Ms",
        "defaultMessage": "Ms"
      },
      Prince: {
        "id": "option.personTitles.Prince",
        "defaultMessage": "Prince"
      },
      Princess: {
        "id": "option.personTitles.Princess",
        "defaultMessage": "Princess"
      },
      Professor: {
        "id": "option.personTitles.Professor",
        "defaultMessage": "Professor"
      },
      Queen: {
        "id": "option.personTitles.Queen",
        "defaultMessage": "Queen"
      },
      Reverend: {
        "id": "option.personTitles.Reverend",
        "defaultMessage": "Reverend"
      },
      Saint: {
        "id": "option.personTitles.Saint",
        "defaultMessage": "Saint"
      },
      Sir: {
        "id": "option.personTitles.Sir",
        "defaultMessage": "Sir"
      }
    })
  },
  genders: {
    values: ['agender', 'bigender', 'dyadic', 'female', 'feminine', 'gender-fluid', 'gender-neutral', 'gender-non-binary', 'genderqueer', 'intersex', 'male', 'masculine', 'pansexual', 'polygender', 'questioning', 'transgender', 'transsexual', 'two-spirit'],
    messages: (0, _reactIntl.defineMessages)({
      agender: {
        "id": "option.genders.agender",
        "defaultMessage": "agender"
      },
      bigender: {
        "id": "option.genders.bigender",
        "defaultMessage": "bigender"
      },
      dyadic: {
        "id": "option.genders.dyadic",
        "defaultMessage": "dyadic"
      },
      female: {
        "id": "option.genders.female",
        "defaultMessage": "female"
      },
      feminine: {
        "id": "option.genders.feminine",
        "defaultMessage": "feminine"
      },
      'gender-fluid': {
        "id": "option.genders.gender-fluid",
        "defaultMessage": "gender-fluid"
      },
      'gender-neutral': {
        "id": "option.genders.gender-neutral",
        "defaultMessage": "gender-neutral"
      },
      'gender-non-binary': {
        "id": "option.genders.gender-non-binary",
        "defaultMessage": "gender non-binary"
      },
      genderqueer: {
        "id": "option.genders.genderqueer",
        "defaultMessage": "genderqueer"
      },
      intersex: {
        "id": "option.genders.intersex",
        "defaultMessage": "intersex"
      },
      male: {
        "id": "option.genders.male",
        "defaultMessage": "male"
      },
      masculine: {
        "id": "option.genders.masculine",
        "defaultMessage": "masculine"
      },
      pansexual: {
        "id": "option.genders.pansexual",
        "defaultMessage": "pansexual"
      },
      polygender: {
        "id": "option.genders.polygender",
        "defaultMessage": "polygender"
      },
      questioning: {
        "id": "option.genders.questioning",
        "defaultMessage": "questioning"
      },
      transgender: {
        "id": "option.genders.transgender",
        "defaultMessage": "transgender"
      },
      transsexual: {
        "id": "option.genders.transsexual",
        "defaultMessage": "transsexual"
      },
      'two-spirit': {
        "id": "option.genders.two-spirit",
        "defaultMessage": "two-spirit"
      }
    })
  }
};
exports.default = _default;