"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.get = get;
exports.default = void 0;

var _immutable = _interopRequireDefault(require("immutable"));

var _actionCodes = require("../constants/actionCodes");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (state = _immutable.default.Map(), action) => {
  switch (action.type) {
    case _actionCodes.ADD_ID_GENERATORS:
      return state.mergeDeep(_immutable.default.fromJS(action.payload));

    case _actionCodes.READ_ID_GENERATOR_FULFILLED:
      return state.setIn([action.meta.idGeneratorName, 'sample'], action.payload.data.idgenerator.displayid);

    case _actionCodes.LOGOUT_FULFILLED:
      return state.map(idGeneratorState => idGeneratorState.delete('sample'));

    default:
      return state;
  }
};

exports.default = _default;

function get(state, idGeneratorName) {
  return state.get(idGeneratorName);
}